'use client'
import { FC, PropsWithChildren, useEffect, useRef, useState } from "react";
import { useRouter } from "@/i18n";
import { useTranslations } from "next-intl";
import './style.scss'

interface Props {  }
const App: FC<PropsWithChildren<Props>> = (props) => {
    const t = useTranslations("TabsCom")
    const router: any = useRouter()
    const [lineX, setLineX] = useState(0.27)
    const [activeTab,setActiveTab] = useState(1)
    const goPage = (id:number) => {
        const tab = tabs.find((tab)=>tab.id===id)
        setActiveTab(id)
        if(tab){
            setLineX(tab.x)
            router.replace(`/affiliate/${tab.page}`)
        } 
    }
    const tabs = [
        { id: 1, page: 'summary', content: t("PAINEL"), x: 0.27 },
        { id: 2, page: 'referrals', content: t("REFERÊNCIAS"), x: 0.93 },
        { id: 3, page: 'report', content: t("RELATÓRIO"), x: 1.7 },
        { id: 4, page: 'payments', content: t("PAGAMENTOS"), x: 2.48 },
        { id: 5, page: 'faq', content: t("FAQ"), x: 3.06 },
    ]

    return (
        <div className="tabsCom">
            <div className="tabs alginLeft van-tabs van-tabs--line">
                <div className="van-tabs__wrap van-tabs__wrap--scrollable">
                    <div role="tablist" className="van-tabs__nav van-tabs__nav--line van-tabs__nav--complete">
                        {tabs.map((tab) => (
                            <div className={`van-tab ${activeTab===tab.id?'van-tab--active':''}`} onClick={() => goPage(tab.id)} key={tab.id}>
                                <span className="van-tab__text">{tab.content}</span>
                            </div>
                        ))}
                        <div className="van-tab">
                            <span className="van-tab__text">{t("TUTORIAL")}</span>
                        </div>
                        <div className="van-tabs__line" style={{ transform: `translateX(${lineX}rem) translateX(-50%)`, transitionDuration: "0.3s" }}></div>
                    </div>
                </div>
                <div className="van-tabs__content" ></div>
            </div>
        </div>
    )
}
export default App